org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb

## Class GetTaskReportResponsePBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRServiceProtos.GetTaskReportResponseProto>
  - - org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb.GetTaskReportResponsePBImpl

- All Implemented Interfaces:
    GetTaskReportResponse

      public class GetTaskReportResponsePBImpl
      extends org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRServiceProtos.GetTaskReportResponseProto>
      implements GetTaskReportResponse

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetTaskReportResponsePBImpl()`
    `GetTaskReportResponsePBImpl(MRServiceProtos.GetTaskReportResponseProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MRServiceProtos.GetTaskReportResponseProto` | `getProto()`
    `TaskReport` | `getTaskReport()`
    `void` | `setTaskReport(TaskReport taskReport)`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase

      `convertFromProtoFormat, convertToProtoFormat, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GetTaskReportResponsePBImpl

          public GetTaskReportResponsePBImpl()

    - #### GetTaskReportResponsePBImpl

          public GetTaskReportResponsePBImpl(MRServiceProtos.GetTaskReportResponseProto proto)

  - ### Method Detail

    - #### getProto

          public MRServiceProtos.GetTaskReportResponseProto getProto()

      Specified by:
        `getProto` in class `org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRServiceProtos.GetTaskReportResponseProto>`

    - #### getTaskReport

          public TaskReport getTaskReport()

      Specified by:
        `getTaskReport` in interface `GetTaskReportResponse`

    - #### setTaskReport

          public void setTaskReport(TaskReport taskReport)

      Specified by:
        `setTaskReport` in interface `GetTaskReportResponse`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.